---
updatedAt: 2026-09-18T09:33:42.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Get TIN check results

# Overview

Use this method to get the data extracted from the external sources using the applicant `TIN`.

<Callout icon="📘" theme="info">
  ### Note

  The [following page](https://docs.sumsub.com/sumsub/reference/usa-tin-check) provides response examples for the United States.
</Callout>

## Required permissions

To use this method, your [app token](https://docs.sumsub.com/sumsub/docs/app-tokens) must have the **View check results** [permission](https://docs.sumsub.com/sumsub/docs/user-roles#permissions).

# Request example

```curl
curl -X GET \
     'https://api.sumsub.com/resources/checks/latest?type=TIN' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>'
```

# Response explained

The response represents a singleton list of `checks`.

## Root variables

The root variables are the core `TIN` check result data items. Some of them may include nested attributes and element fields.

| Field           | Type                               | Description                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| --------------- | ---------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `answer`        | String                             | Сheck answer:<ul><li><code>GREEN</code> — the check has passed successfully. Data found in the database and matched the applicant data.</li><li><code>RED</code> — the check shows a high risk indication. Data found but the applicant data does not match the database record. In some cases, it may also mean that no data was found. Please see the response examples for more information</li><li><code>YELLOW</code> — data not found.</li></ul> |
| `checkType`     | String                             | Indicates that it is a `TIN` check type.                                                                                                                                                                                                                                                                                                                                                                                                               |
| `createdAt`     | Date                               | Date and time (UTC) of the latest `TIN` check result.                                                                                                                                                                                                                                                                                                                                                                                                  |
| `id`            | String                             | Unique identifier of the check.                                                                                                                                                                                                                                                                                                                                                                                                                        |
| `sourceInfo.id` | String                             | Unique ID of the Database Solution (for example, `arg_gov_dni`, `bra_gov_cpf`).                                                                                                                                                                                                                                                                                                                                                                        |
| `inputDoc`      | [Object](#inputdoc-attributes)     | Represents the data used for the `TIN` check.                                                                                                                                                                                                                                                                                                                                                                                                          |
| `extractedDoc`  | [Object](#extracteddoc-attributes) | External check source data. It may not be present if the data is not received.                                                                                                                                                                                                                                                                                                                                                                         |
| `tinCheckInfo`  | [Object](#tincheckinfo-attributes) | Includes `TIN` check results.                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `violations`    | Array of strings                   | Indicates violations that were found:<ul><li><code>NAME\_MISMATCH</code> — the name does not match the database record.</li><li><code>BDATE\_MISMATCH</code> — the date of birth does not match the database record.</li><li><code>DATA\_NOT\_FOUND</code> — data not found.</li></ul>                                                                                                                                                                 |

## `inputDoc` attributes

The following table explains the `inputDoc` attributes representing the data taken from the provided document.

| Field        | Type   | Description                                                                                                            |
| :----------- | :----- | :--------------------------------------------------------------------------------------------------------------------- |
| `idDocType`  | String | Type of the document provided for verification. For example, `TAX_PAYER_NUMBER_DOC`, `ID_CARD`, `PASSPORT`, `DRIVERS`. |
| `country`    | String | Alpha-3 country code (for example, `DEU`, `GBR`, `ARG`, and so on).                                                    |
| `firstName`  | String | First name provided by the applicant.                                                                                  |
| `middleName` | String | Middle name provided by the applicant.                                                                                 |
| `lastName`   | String | Last name provided by the applicant.                                                                                   |
| `number`     | String | Tax Identification number provided by the applicant.                                                                   |
| `dob`        | Date   | Date of birth provided by the applicant.                                                                               |
| `phone`      | String | Phone number provided by the applicant                                                                                 |

## `extractedDoc` attributes

The `extractedDoc` object includes the data obtained from the external source during the `TIN` check.

| Field        | Type                                         | Description                                                         |
| ------------ | -------------------------------------------- | ------------------------------------------------------------------- |
| `country`    | String                                       | Alpha-3 country code (for example, `DEU`, `GBR`, `ARG`, and so on). |
| `firstName`  | String                                       | Applicant first name.                                               |
| `middleName` | String                                       | Applicant middle name.                                              |
| `lastName`   | String                                       | Applicant last name.                                                |
| `addresses`  | [List of Objects](#addresses-element-fields) | The list of addresses extracted from the external check sources.    |

## `addresses` element fields

The following table explains the `addresses` element fields containing the applicant address details extracted from external sources.

| Field                      | Type   | Description                                                                                                                             |
| -------------------------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------- |
| `street`                   | String | Street where the applicant lives and/or is registered.                                                                                  |
| `streetEn`                 | String | Automatic transliteration of the applicant street into Latin.                                                                           |
| `subStreet`                | String | Additional information related to the applicant street. This could be a house number or any other details.                              |
| `state`                    | String | State, region, district, county or another territorial entity inside a country, if applicable.                                          |
| `stateEn`                  | String | Automatic transliteration of the applicant state, region, district, county, or another territorial entity inside a country into Latin.  |
| `buildingNumber`           | String | Building number.                                                                                                                        |
| `town`                     | String | City, town, or another settlement where the applicant lives and/or is registered.                                                       |
| `townEn`                   | String | Automatic transliteration of the city, town, or another settlement where the applicant lives and/or is registered into Latin.           |
| `postCode`                 | String | Address postal code.                                                                                                                    |
| `startDate`                | Date   | Date of starting using the address as residential.                                                                                      |
| `endDate`                  | Date   | Date of changing the residential address.                                                                                               |
| `country`                  | String | Alpha-3 country code (for example, `DEU`, `GBR`, `ARG`, and so on).                                                                     |
| `formattedAddress`         | String | Address in an human-readable format.                                                                                                    |
| `providedLocationPosition` | Object | Contains the `locationCoords` object that includes geographical coordinates — the position's latitude and longitude in decimal degrees. |

## `tinCheckInfo` attributes

The following table describes the `tinCheckInfo` attributes representing the `TIN` check results.

| Field                  | Type   | Description                                                                                                                                                                                                               |
| :--------------------- | :----- | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `answer`               | String | `TIN` check answer:<ul><li><code>GREEN</code> — approved.</li><li><code>RED</code> — rejected.</li><li><code>YELLOW</code> — data not found.</li></ul>                                                                    |
| `tinValidity`          | String | Indicates the `TIN` validity check result:<ul><li><code>GREEN</code> — valid.</li><li><code>RED</code> — invalid.</li><li><code>YELLOW</code> — data not found.</li></ul>                                                 |
| `personDataMatchFound` | String | Indicates whether the provided information matches the data found in the external source:<ul><li><code>GREEN</code> — valid.</li><li><code>RED</code> — invalid.</li><li><code>null</code> — if data not found.</li></ul> |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "sumsub-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.sumsub.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "X-App-Token",
        "in": "header",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/resources/checks/latest?type=TIN": {
      "get": {
        "summary": "Get TIN check results",
        "description": "",
        "operationId": "get-tin-check-results",
        "parameters": [
          {
            "name": "applicantId",
            "in": "query",
            "description": "Unique applicant identifier in the Sumsub system. <br><br>This identifier is a random combination of 24 digits and lowercase Latin characters. It is automatically generated when the applicant is created on the Sumsub side, and can be found in the [Dashboard](https://cockpit.sumsub.com/checkus/#/applicants/individual?limit=10&page=0). <br><br>If the `applicantId` is unknown to you, use the [Get applicant data (externalUserId)](https://docs.sumsub.com/sumsub/reference/get-applicant-data-via-externaluserid) method to fetch it.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```